Path (Hadoop 0.20.2-cdh3u5 API)
Date: 2012-10-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.fs
Class Path

    java.lang.Object
      org.apache.hadoop.fs.Path

All Implemented Interfaces:
  Comparable

    public class Path

extends Object
implements Comparable

Names a file or directory in a `FileSystem`. Path strings use slash as the directory separator. A path string is absolute if it begins with a slash.

Field Summary
`static String` | `CUR_DIR`
`static String` | `SEPARATOR` The directory separator, a slash.
`static char` | `SEPARATOR_CHAR`

Constructor Summary
`Path(Path parent, Path child)` Resolve a child path against a parent path.
`Path(Path parent, String child)` Resolve a child path against a parent path.
`Path(String pathString)` Construct a path from a String.
`Path(String parent, Path child)` Resolve a child path against a parent path.
`Path(String parent, String child)` Resolve a child path against a parent path.
`Path(String scheme, String authority, String path)` Construct a Path from components.
`Path(URI aUri)` Construct a path from a URI

Method Summary
`int` | `compareTo(Object o)`
`int` | `depth()` Return the number of elements in this path.
`boolean` | `equals(Object o)`
`FileSystem` | `getFileSystem(Configuration conf)` Return the FileSystem that owns this Path.
`String` | `getName()` Returns the final component of this path.
`Path` | `getParent()` Returns the parent of a path or null if at root.
`int` | `hashCode()`
`boolean` | `isAbsolute()` True if the directory of this path is absolute.
`Path` | `makeQualified(FileSystem fs)` Returns a qualified path object.
`Path` | `makeQualified(URI defaultUri, Path workingDir)` Returns a qualified path object.
`Path` | `suffix(String suffix)` Adds a suffix to the final name in the path.
`String` | `toString()`
`URI` | `toUri()` Convert this to a URI.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### SEPARATOR

    public static final String SEPARATOR

  The directory separator, a slash.

  See Also:
    Constant Field Values

### SEPARATOR_CHAR

    public static final char SEPARATOR_CHAR

See Also:
  Constant Field Values

### CUR_DIR

    public static final String CUR_DIR

See Also:
  Constant Field Values

Constructor Detail

### Path

    public Path(String parent,
                String child)

  Resolve a child path against a parent path.

### Path

    public Path(Path parent,
                String child)

  Resolve a child path against a parent path.

### Path

    public Path(String parent,
                Path child)

  Resolve a child path against a parent path.

### Path

    public Path(Path parent,
                Path child)

  Resolve a child path against a parent path.

### Path

    public Path(String pathString)

  Construct a path from a String. Path strings are URIs, but with unescaped elements and some additional normalization.

### Path

    public Path(String scheme,
                String authority,
                String path)

  Construct a Path from components.

### Path

    public Path(URI aUri)

  Construct a path from a URI

Method Detail

### toUri

    public URI toUri()

  Convert this to a URI.

### getFileSystem

    public FileSystem getFileSystem(Configuration conf)
                             throws IOException

  Return the FileSystem that owns this Path.

  Throws:
    `IOException`

### isAbsolute

    public boolean isAbsolute()

  True if the directory of this path is absolute.

### getName

    public String getName()

  Returns the final component of this path.

### getParent

    public Path getParent()

  Returns the parent of a path or null if at root.

### suffix

    public Path suffix(String suffix)

  Adds a suffix to the final name in the path.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### compareTo

    public int compareTo(Object o)

  Specified by:
    `compareTo` in interface `Comparable`

### depth

    public int depth()

  Return the number of elements in this path.

### makeQualified

    public Path makeQualified(FileSystem fs)

  Returns a qualified path object.

### makeQualified

    public Path makeQualified(URI defaultUri,
                              Path workingDir)

  Returns a qualified path object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation